Bug 9985 - 'net ads keytab create' only creates default SPNs and doesn't check AD for precreated ones.
'net ads keytab create' only creates default SPNs and doesn't check AD for pr...
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Client Tools
3.6.16
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 9984
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 11:48 UTC by Andreas Schneider
Modified: 2014-10-13 19:04 UTC (History)
1 user (show)

See Also:


Attachments
v4-1-test patch (4.69 KB, patch)
2014-09-26 09:27 UTC, Andreas Schneider
asn: review? (gd)
jra: review+
Details
v4-0-test patch (9.91 KB, patch)
2014-09-26 09:29 UTC, Andreas Schneider
no flags Details
v4-0-test patch (4.69 KB, patch)
2014-09-26 09:30 UTC, Andreas Schneider
asn: review? (gd)
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2013-07-01 11:48:38 UTC
Description of problem:
'net ads keytab create' doesn't lookup SPNs in AD.

Steps to Reproduce:
1. Join a linux machine to AD with 'net ads join'
2. On the Windows machine create a new SPN using:

    setspn -A hadoop/client01 client01
    setspn -A hadoop/client01.domain.site

3. Delete the keytab: 'rm /etc/krb5.keytab'
4. Recreate the keytab with 'net ads keytab create -P'
  
Actual results:
Only the default keytabs are created.

Expected results:
All SPNs specified in AD should be there.
Comment 1 Andreas Schneider 2014-09-26 09:27:55 UTC
Created attachment 10312 [details]
v4-1-test patch
Comment 2 Andreas Schneider 2014-09-26 09:29:09 UTC
Created attachment 10313 [details]
v4-0-test patch
Comment 3 Andreas Schneider 2014-09-26 09:30:34 UTC
Created attachment 10315 [details]
v4-0-test patch
Comment 4 Andreas Schneider 2014-09-26 09:57:13 UTC
NOTE: You need to first apply the patches from bug #9984 !!!
Comment 5 Jeremy Allison 2014-10-01 16:24:40 UTC
Comment on attachment 10312 [details]
v4-1-test patch

LGTM.
Comment 6 Andreas Schneider 2014-10-01 16:39:13 UTC
Karolin, please add it to the relevant branches. Thanks!
Comment 7 Jeremy Allison 2014-10-01 21:12:22 UTC
Re-assigning to Karolin for inclusion in 4.0.next, 4.1.next.
Comment 8 Karolin Seeger 2014-10-09 18:47:05 UTC
Pushed to autobuild-v4-[0|1]-test.
Comment 9 Karolin Seeger 2014-10-13 19:04:36 UTC
Pushed to both branches.
Closing out bug report.

Thanks!